package com.ruoyi.sy.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.sy.mapper.SyMajorOverviewMapper;
import com.ruoyi.sy.domain.SyMajorOverview;
import com.ruoyi.sy.service.ISyMajorOverviewService;

/**
 * 三级专业概况Service业务层处理
 * 
 * @author mingxue
 * @date 2022-04-13
 */
@Service
public class SyMajorOverviewServiceImpl implements ISyMajorOverviewService 
{
    @Autowired
    private SyMajorOverviewMapper syMajorOverviewMapper;

    /**
     * 查询三级专业概况
     * 
     * @param id 三级专业概况ID
     * @return 三级专业概况
     */
    @Override
    public SyMajorOverview selectSyMajorOverviewById(Long id)
    {
        return syMajorOverviewMapper.selectSyMajorOverviewById(id);
    }

    @Override
    public SyMajorOverview selectSyMajorOverviewByCode(String examType, String code) {
        return syMajorOverviewMapper.selectSyMajorOverviewByCode(examType, code);
    }

    @Override
    public List<SyMajorOverview> selectSyMajorOverviewByCodes(String examType, List<String> codes) {
        return syMajorOverviewMapper.selectSyMajorOverviewByCodes(examType, codes);
    }

    /**
     * 查询三级专业概况列表
     * 
     * @param syMajorOverview 三级专业概况
     * @return 三级专业概况
     */
    @Override
    public List<SyMajorOverview> selectSyMajorOverviewList(SyMajorOverview syMajorOverview)
    {
        return syMajorOverviewMapper.selectSyMajorOverviewList(syMajorOverview);
    }

    /**
     * 新增三级专业概况
     * 
     * @param syMajorOverview 三级专业概况
     * @return 结果
     */
    @Override
    public int insertSyMajorOverview(SyMajorOverview syMajorOverview)
    {
        return syMajorOverviewMapper.insertSyMajorOverview(syMajorOverview);
    }

    /**
     * 修改三级专业概况
     * 
     * @param syMajorOverview 三级专业概况
     * @return 结果
     */
    @Override
    public int updateSyMajorOverview(SyMajorOverview syMajorOverview)
    {
        return syMajorOverviewMapper.updateSyMajorOverview(syMajorOverview);
    }

    /**
     * 批量删除三级专业概况
     * 
     * @param ids 需要删除的三级专业概况ID
     * @return 结果
     */
    @Override
    public int deleteSyMajorOverviewByIds(Long[] ids)
    {
        return syMajorOverviewMapper.deleteSyMajorOverviewByIds(ids);
    }

    /**
     * 删除三级专业概况信息
     * 
     * @param id 三级专业概况ID
     * @return 结果
     */
    @Override
    public int deleteSyMajorOverviewById(Long id)
    {
        return syMajorOverviewMapper.deleteSyMajorOverviewById(id);
    }
}
